package com.ruoyi.system.domain;

import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目回款对象 project_repayment
 *
 * @author ruoyi
 * @date 2025-02-28
 */
@Data
public class ProjectRepayment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 回款id */
    private Long repaymentId;

    /** 回款百分比 */
    @Excel(name = "回款百分比")
    private String repaymentPercentage;

    /** 回款前置条件 */
    @Excel(name = "回款前置条件")
    private String repaymentCondition;

    /** 关联项目管理表主键id */
    @Excel(name = "关联项目管理表主键id")
    private Long projectId;

    /** 备注 */
    @Excel(name = "备注")
    private String notes;

}
